package com.tzld.piaoquan.ad.engine.service.score;

import com.tzld.piaoquan.ad.engine.commons.score.ScoreParam;
import com.tzld.piaoquan.ad.engine.commons.dto.AdPlatformCreativeDTO;
import com.tzld.piaoquan.ad.engine.service.score.deprecated.BidRankRecommendRequestParam;
import com.tzld.piaoquan.ad.engine.commons.param.RankRecommendRequestParam;
import com.tzld.piaoquan.recommend.feature.domain.ad.base.AdRankItem;
import com.tzld.piaoquan.recommend.feature.domain.ad.base.UserAdFeature;

import java.util.List;

public interface RankService {

    AdRankItem adItemRank(RankRecommendRequestParam request);

    AdRankItem adItemRankWithVideoAdThompson(RankRecommendRequestParam request);

    AdPlatformCreativeDTO adBidRank(BidRankRecommendRequestParam request);

    AdPlatformCreativeDTO adBidRankNewPid(BidRankRecommendRequestParam request);

    List<AdRankItem> rank(ScoreParam param, UserAdFeature userAdFeature, List<AdRankItem> rankItems, String configFile);
}
